import * as react_jsx_runtime from 'react/jsx-runtime';
import * as class_variance_authority_dist_types from 'class-variance-authority/dist/types';
import { PropsWithChildren } from 'react';
import { VariantProps } from 'class-variance-authority';

declare const badge: (props?: ({
    theme?: "default" | "primary" | "danger" | "success" | "warning" | null | undefined;
    size?: "small" | "medium" | "large" | null | undefined;
    shape?: "circle" | "square" | null | undefined;
} & class_variance_authority_dist_types.ClassProp) | undefined) => string;
type BadgeThemeProps = NonNullable<VariantProps<typeof badge>['theme']>;
type BadgeSizeProps = NonNullable<VariantProps<typeof badge>['size']>;
type BadgeShapeProps = NonNullable<VariantProps<typeof badge>['shape']>;
interface BadgeProps extends PropsWithChildren, VariantProps<typeof badge> {
    className?: string;
    testId?: string;
    id?: string;
}
declare const Badge: (props: BadgeProps) => react_jsx_runtime.JSX.Element;

export { Badge, BadgeProps, BadgeShapeProps, BadgeSizeProps, BadgeThemeProps };
